import{S as Fr,i as jr,s as Mr,e as r,k as u,w as b,t as s,M as Pr,c as n,d as t,m as f,a as i,x as w,h as a,b as h,G as e,g,y,q as k,o as S,B as x,v as Or,L as Fa}from"../../chunks/vendor-hf-doc-builder.js";import{T as Ea}from"../../chunks/Tip-hf-doc-builder.js";import{D as Rt}from"../../chunks/Docstring-hf-doc-builder.js";import{C as ja}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ht}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ca}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Dr(z){let d,v,l,p,T;return{c(){d=r("p"),v=s(`This is a recently introduced model so the API hasn\u2019t been tested extensively. There may be some bugs or slight
breaking changes to fix it in the future. If you see something strange, file a `),l=r("a"),p=s("Github Issue"),T=s("."),this.h()},l(c){d=n(c,"P",{});var _=i(d);v=a(_,`This is a recently introduced model so the API hasn\u2019t been tested extensively. There may be some bugs or slight
breaking changes to fix it in the future. If you see something strange, file a `),l=n(_,"A",{href:!0,rel:!0});var E=i(l);p=a(E,"Github Issue"),E.forEach(t),T=a(_,"."),_.forEach(t),this.h()},h(){h(l,"href","https://github.com/huggingface/transformers/issues/new?assignees=&labels=&template=bug-report.md&title"),h(l,"rel","nofollow")},m(c,_){g(c,d,_),e(d,v),e(d,l),e(l,p),e(d,T)},d(c){c&&t(d)}}}function Ar(z){let d,v;return d=new ja({props:{code:`from transformers import TimeSeriesTransformerConfig, TimeSeriesTransformerModel

# Initializing a Time Series Transformer configuration with 12 time steps for prediction
configuration = TimeSeriesTransformerConfig(prediction_length=12)

# Randomly initializing a model (with random weights) from the configuration
model = TimeSeriesTransformerModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TimeSeriesTransformerConfig, TimeSeriesTransformerModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Time Series Transformer configuration with 12 time steps for prediction</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = TimeSeriesTransformerConfig(prediction_length=<span class="hljs-number">12</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Randomly initializing a model (with random weights) from the configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TimeSeriesTransformerModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){b(d.$$.fragment)},l(l){w(d.$$.fragment,l)},m(l,p){y(d,l,p),v=!0},p:Fa,i(l){v||(k(d.$$.fragment,l),v=!0)},o(l){S(d.$$.fragment,l),v=!1},d(l){x(d,l)}}}function Nr(z){let d,v,l,p,T;return{c(){d=r("p"),v=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),l=r("code"),p=s("Module"),T=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(c){d=n(c,"P",{});var _=i(d);v=a(_,"Although the recipe for forward pass needs to be defined within this function, one should call the "),l=n(_,"CODE",{});var E=i(l);p=a(E,"Module"),E.forEach(t),T=a(_,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),_.forEach(t)},m(c,_){g(c,d,_),e(d,v),e(d,l),e(l,p),e(d,T)},d(c){c&&t(d)}}}function Ir(z){let d,v,l,p,T;return p=new ja({props:{code:`from huggingface_hub import hf_hub_download
import torch
from transformers import TimeSeriesTransformerModel

file = hf_hub_download(
    repo_id="kashif/tourism-monthly-batch", filename="train-batch.pt", repo_type="dataset"
)
batch = torch.load(file)

model = TimeSeriesTransformerModel.from_pretrained("huggingface/time-series-transformer-tourism-monthly")

# during training, one provides both past and future values
# as well as possible additional features
outputs = model(
    past_values=batch["past_values"],
    past_time_features=batch["past_time_features"],
    past_observed_mask=batch["past_observed_mask"],
    static_categorical_features=batch["static_categorical_features"],
    static_real_features=batch["static_real_features"],
    future_values=batch["future_values"],
    future_time_features=batch["future_time_features"],
)

last_hidden_state = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TimeSeriesTransformerModel

<span class="hljs-meta">&gt;&gt;&gt; </span>file = hf_hub_download(
<span class="hljs-meta">... </span>    repo_id=<span class="hljs-string">&quot;kashif/tourism-monthly-batch&quot;</span>, filename=<span class="hljs-string">&quot;train-batch.pt&quot;</span>, repo_type=<span class="hljs-string">&quot;dataset&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>batch = torch.load(file)

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TimeSeriesTransformerModel.from_pretrained(<span class="hljs-string">&quot;huggingface/time-series-transformer-tourism-monthly&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># during training, one provides both past and future values</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># as well as possible additional features</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(
<span class="hljs-meta">... </span>    past_values=batch[<span class="hljs-string">&quot;past_values&quot;</span>],
<span class="hljs-meta">... </span>    past_time_features=batch[<span class="hljs-string">&quot;past_time_features&quot;</span>],
<span class="hljs-meta">... </span>    past_observed_mask=batch[<span class="hljs-string">&quot;past_observed_mask&quot;</span>],
<span class="hljs-meta">... </span>    static_categorical_features=batch[<span class="hljs-string">&quot;static_categorical_features&quot;</span>],
<span class="hljs-meta">... </span>    static_real_features=batch[<span class="hljs-string">&quot;static_real_features&quot;</span>],
<span class="hljs-meta">... </span>    future_values=batch[<span class="hljs-string">&quot;future_values&quot;</span>],
<span class="hljs-meta">... </span>    future_time_features=batch[<span class="hljs-string">&quot;future_time_features&quot;</span>],
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state`}}),{c(){d=r("p"),v=s("Examples:"),l=u(),b(p.$$.fragment)},l(c){d=n(c,"P",{});var _=i(d);v=a(_,"Examples:"),_.forEach(t),l=f(c),w(p.$$.fragment,c)},m(c,_){g(c,d,_),e(d,v),g(c,l,_),y(p,c,_),T=!0},p:Fa,i(c){T||(k(p.$$.fragment,c),T=!0)},o(c){S(p.$$.fragment,c),T=!1},d(c){c&&t(d),c&&t(l),x(p,c)}}}function Lr(z){let d,v,l,p,T;return{c(){d=r("p"),v=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),l=r("code"),p=s("Module"),T=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(c){d=n(c,"P",{});var _=i(d);v=a(_,"Although the recipe for forward pass needs to be defined within this function, one should call the "),l=n(_,"CODE",{});var E=i(l);p=a(E,"Module"),E.forEach(t),T=a(_,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),_.forEach(t)},m(c,_){g(c,d,_),e(d,v),e(d,l),e(l,p),e(d,T)},d(c){c&&t(d)}}}function Br(z){let d,v,l,p,T;return p=new ja({props:{code:`from huggingface_hub import hf_hub_download
import torch
from transformers import TimeSeriesTransformerForPrediction

file = hf_hub_download(
    repo_id="kashif/tourism-monthly-batch", filename="train-batch.pt", repo_type="dataset"
)
batch = torch.load(file)

model = TimeSeriesTransformerForPrediction.from_pretrained(
    "huggingface/time-series-transformer-tourism-monthly"
)

# during training, one provides both past and future values
# as well as possible additional features
outputs = model(
    past_values=batch["past_values"],
    past_time_features=batch["past_time_features"],
    past_observed_mask=batch["past_observed_mask"],
    static_categorical_features=batch["static_categorical_features"],
    static_real_features=batch["static_real_features"],
    future_values=batch["future_values"],
    future_time_features=batch["future_time_features"],
)

loss = outputs.loss
loss.backward()

# during inference, one only provides past values
# as well as possible additional features
# the model autoregressively generates future values
outputs = model.generate(
    past_values=batch["past_values"],
    past_time_features=batch["past_time_features"],
    past_observed_mask=batch["past_observed_mask"],
    static_categorical_features=batch["static_categorical_features"],
    static_real_features=batch["static_real_features"],
    future_time_features=batch["future_time_features"],
)

mean_prediction = outputs.sequences.mean(dim=1)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TimeSeriesTransformerForPrediction

<span class="hljs-meta">&gt;&gt;&gt; </span>file = hf_hub_download(
<span class="hljs-meta">... </span>    repo_id=<span class="hljs-string">&quot;kashif/tourism-monthly-batch&quot;</span>, filename=<span class="hljs-string">&quot;train-batch.pt&quot;</span>, repo_type=<span class="hljs-string">&quot;dataset&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>batch = torch.load(file)

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TimeSeriesTransformerForPrediction.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;huggingface/time-series-transformer-tourism-monthly&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># during training, one provides both past and future values</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># as well as possible additional features</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(
<span class="hljs-meta">... </span>    past_values=batch[<span class="hljs-string">&quot;past_values&quot;</span>],
<span class="hljs-meta">... </span>    past_time_features=batch[<span class="hljs-string">&quot;past_time_features&quot;</span>],
<span class="hljs-meta">... </span>    past_observed_mask=batch[<span class="hljs-string">&quot;past_observed_mask&quot;</span>],
<span class="hljs-meta">... </span>    static_categorical_features=batch[<span class="hljs-string">&quot;static_categorical_features&quot;</span>],
<span class="hljs-meta">... </span>    static_real_features=batch[<span class="hljs-string">&quot;static_real_features&quot;</span>],
<span class="hljs-meta">... </span>    future_values=batch[<span class="hljs-string">&quot;future_values&quot;</span>],
<span class="hljs-meta">... </span>    future_time_features=batch[<span class="hljs-string">&quot;future_time_features&quot;</span>],
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>loss.backward()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># during inference, one only provides past values</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># as well as possible additional features</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the model autoregressively generates future values</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.generate(
<span class="hljs-meta">... </span>    past_values=batch[<span class="hljs-string">&quot;past_values&quot;</span>],
<span class="hljs-meta">... </span>    past_time_features=batch[<span class="hljs-string">&quot;past_time_features&quot;</span>],
<span class="hljs-meta">... </span>    past_observed_mask=batch[<span class="hljs-string">&quot;past_observed_mask&quot;</span>],
<span class="hljs-meta">... </span>    static_categorical_features=batch[<span class="hljs-string">&quot;static_categorical_features&quot;</span>],
<span class="hljs-meta">... </span>    static_real_features=batch[<span class="hljs-string">&quot;static_real_features&quot;</span>],
<span class="hljs-meta">... </span>    future_time_features=batch[<span class="hljs-string">&quot;future_time_features&quot;</span>],
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>mean_prediction = outputs.sequences.mean(dim=<span class="hljs-number">1</span>)`}}),{c(){d=r("p"),v=s("Examples:"),l=u(),b(p.$$.fragment)},l(c){d=n(c,"P",{});var _=i(d);v=a(_,"Examples:"),_.forEach(t),l=f(c),w(p.$$.fragment,c)},m(c,_){g(c,d,_),e(d,v),g(c,l,_),y(p,c,_),T=!0},p:Fa,i(c){T||(k(p.$$.fragment,c),T=!0)},o(c){S(p.$$.fragment,c),T=!1},d(c){c&&t(d),c&&t(l),x(p,c)}}}function Rr(z){let d,v,l,p,T,c,_,E,uo,Wt,Y,Ut,R,Z,at,ve,fo,rt,po,Gt,Le,_o,Vt,Be,go,Jt,C,H,vo,Re,To,bo,He,wo,yo,ko,$,We,So,xo,nt,$o,qo,it,zo,Eo,dt,Co,Fo,ct,jo,Mo,lt,Po,Oo,ht,Do,Ao,No,I,Io,mt,Lo,Bo,ut,Ro,Ho,A,ee,ft,Wo,Uo,pt,Go,Vo,Jo,te,_t,Ko,Qo,gt,Xo,Yo,Zo,L,vt,es,ts,Tt,os,ss,bt,as,rs,ns,P,wt,is,ds,yt,cs,ls,kt,hs,ms,Ue,us,fs,ps,N,_s,St,gs,vs,xt,Ts,bs,$t,ws,ys,ks,Te,Ss,qt,xs,$s,Kt,oe,qs,be,zs,Es,Qt,W,se,zt,we,Cs,Et,Fs,Xt,F,ye,js,U,Ms,Ge,Ps,Os,ke,Ds,As,Ns,G,Is,Ve,Ls,Bs,Je,Rs,Hs,Ws,ae,Yt,V,re,Ct,Se,Us,Ft,Gs,Zt,j,xe,Vs,$e,Js,Ke,Ks,Qs,Xs,qe,Ys,ze,Zs,ea,ta,O,Ee,oa,J,sa,Qe,aa,ra,jt,na,ia,da,ne,ca,ie,eo,K,de,Mt,Ce,la,Pt,ha,to,M,Fe,ma,je,ua,Xe,fa,pa,_a,Me,ga,Pe,va,Ta,ba,D,Oe,wa,Q,ya,Ye,ka,Sa,Ot,xa,$a,qa,ce,za,le,oo;return c=new Ht({}),Y=new Ea({props:{$$slots:{default:[Dr]},$$scope:{ctx:z}}}),ve=new Ht({}),we=new Ht({}),ye=new Rt({props:{name:"class transformers.TimeSeriesTransformerConfig",anchor:"transformers.TimeSeriesTransformerConfig",parameters:[{name:"prediction_length",val:": typing.Optional[int] = None"},{name:"context_length",val:": typing.Optional[int] = None"},{name:"distribution_output",val:": str = 'student_t'"},{name:"loss",val:": str = 'nll'"},{name:"input_size",val:": int = 1"},{name:"lags_sequence",val:": typing.List[int] = [1, 2, 3, 4, 5, 6, 7]"},{name:"scaling",val:": typing.Union[str, bool, NoneType] = 'mean'"},{name:"num_dynamic_real_features",val:": int = 0"},{name:"num_static_categorical_features",val:": int = 0"},{name:"num_static_real_features",val:": int = 0"},{name:"num_time_features",val:": int = 0"},{name:"cardinality",val:": typing.Optional[typing.List[int]] = None"},{name:"embedding_dimension",val:": typing.Optional[typing.List[int]] = None"},{name:"encoder_ffn_dim",val:": int = 32"},{name:"decoder_ffn_dim",val:": int = 32"},{name:"encoder_attention_heads",val:": int = 2"},{name:"decoder_attention_heads",val:": int = 2"},{name:"encoder_layers",val:": int = 2"},{name:"decoder_layers",val:": int = 2"},{name:"is_encoder_decoder",val:": bool = True"},{name:"activation_function",val:": str = 'gelu'"},{name:"d_model",val:": int = 64"},{name:"dropout",val:": float = 0.1"},{name:"encoder_layerdrop",val:": float = 0.1"},{name:"decoder_layerdrop",val:": float = 0.1"},{name:"attention_dropout",val:": float = 0.1"},{name:"activation_dropout",val:": float = 0.1"},{name:"num_parallel_samples",val:": int = 100"},{name:"init_std",val:": float = 0.02"},{name:"use_cache",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TimeSeriesTransformerConfig.prediction_length",description:`<strong>prediction_length</strong> (<code>int</code>) &#x2014;
The prediction length for the decoder. In other words, the prediction horizon of the model. This value is
typically dictated by the dataset and we recommend to set it appropriately.`,name:"prediction_length"},{anchor:"transformers.TimeSeriesTransformerConfig.context_length",description:`<strong>context_length</strong> (<code>int</code>, <em>optional</em>, defaults to <code>prediction_length</code>) &#x2014;
The context length for the encoder. If <code>None</code>, the context length will be the same as the
<code>prediction_length</code>.`,name:"context_length"},{anchor:"transformers.TimeSeriesTransformerConfig.distribution_output",description:`<strong>distribution_output</strong> (<code>string</code>, <em>optional</em>, defaults to <code>&quot;student_t&quot;</code>) &#x2014;
The distribution emission head for the model. Could be either &#x201C;student_t&#x201D;, &#x201C;normal&#x201D; or &#x201C;negative_binomial&#x201D;.`,name:"distribution_output"},{anchor:"transformers.TimeSeriesTransformerConfig.loss",description:`<strong>loss</strong> (<code>string</code>, <em>optional</em>, defaults to <code>&quot;nll&quot;</code>) &#x2014;
The loss function for the model corresponding to the <code>distribution_output</code> head. For parametric
distributions it is the negative log likelihood (nll) - which currently is the only supported one.`,name:"loss"},{anchor:"transformers.TimeSeriesTransformerConfig.input_size",description:`<strong>input_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The size of the target variable which by default is 1 for univariate targets. Would be &gt; 1 in case of
multivariate targets.`,name:"input_size"},{anchor:"transformers.TimeSeriesTransformerConfig.scaling",description:`<strong>scaling</strong> (<code>string</code> or <code>bool</code>, <em>optional</em> defaults to <code>&quot;mean&quot;</code>) &#x2014;
Whether to scale the input targets via &#x201C;mean&#x201D; scaler, &#x201C;std&#x201D; scaler or no scaler if <code>None</code>. If <code>True</code>, the
scaler is set to &#x201C;mean&#x201D;.`,name:"scaling"},{anchor:"transformers.TimeSeriesTransformerConfig.lags_sequence",description:`<strong>lags_sequence</strong> (<code>list[int]</code>, <em>optional</em>, defaults to <code>[1, 2, 3, 4, 5, 6, 7]</code>) &#x2014;
The lags of the input time series as covariates often dictated by the frequency of the data. Default is
<code>[1, 2, 3, 4, 5, 6, 7]</code> but we recommend to change it based on the dataset appropriately.`,name:"lags_sequence"},{anchor:"transformers.TimeSeriesTransformerConfig.num_time_features",description:`<strong>num_time_features</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
The number of time features in the input time series.`,name:"num_time_features"},{anchor:"transformers.TimeSeriesTransformerConfig.num_dynamic_real_features",description:`<strong>num_dynamic_real_features</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
The number of dynamic real valued features.`,name:"num_dynamic_real_features"},{anchor:"transformers.TimeSeriesTransformerConfig.num_static_categorical_features",description:`<strong>num_static_categorical_features</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
The number of static categorical features.`,name:"num_static_categorical_features"},{anchor:"transformers.TimeSeriesTransformerConfig.num_static_real_features",description:`<strong>num_static_real_features</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
The number of static real valued features.`,name:"num_static_real_features"},{anchor:"transformers.TimeSeriesTransformerConfig.cardinality",description:`<strong>cardinality</strong> (<code>list[int]</code>, <em>optional</em>) &#x2014;
The cardinality (number of different values) for each of the static categorical features. Should be a list
of integers, having the same length as <code>num_static_categorical_features</code>. Cannot be <code>None</code> if
<code>num_static_categorical_features</code> is &gt; 0.`,name:"cardinality"},{anchor:"transformers.TimeSeriesTransformerConfig.embedding_dimension",description:`<strong>embedding_dimension</strong> (<code>list[int]</code>, <em>optional</em>) &#x2014;
The dimension of the embedding for each of the static categorical features. Should be a list of integers,
having the same length as <code>num_static_categorical_features</code>. Cannot be <code>None</code> if
<code>num_static_categorical_features</code> is &gt; 0.`,name:"embedding_dimension"},{anchor:"transformers.TimeSeriesTransformerConfig.d_model",description:`<strong>d_model</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Dimensionality of the transformer layers.`,name:"d_model"},{anchor:"transformers.TimeSeriesTransformerConfig.encoder_layers",description:`<strong>encoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Number of encoder layers.`,name:"encoder_layers"},{anchor:"transformers.TimeSeriesTransformerConfig.decoder_layers",description:`<strong>decoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Number of decoder layers.`,name:"decoder_layers"},{anchor:"transformers.TimeSeriesTransformerConfig.encoder_attention_heads",description:`<strong>encoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"encoder_attention_heads"},{anchor:"transformers.TimeSeriesTransformerConfig.decoder_attention_heads",description:`<strong>decoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Number of attention heads for each attention layer in the Transformer decoder.`,name:"decoder_attention_heads"},{anchor:"transformers.TimeSeriesTransformerConfig.encoder_ffn_dim",description:`<strong>encoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
Dimension of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in encoder.`,name:"encoder_ffn_dim"},{anchor:"transformers.TimeSeriesTransformerConfig.decoder_ffn_dim",description:`<strong>decoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
Dimension of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"decoder_ffn_dim"},{anchor:"transformers.TimeSeriesTransformerConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and decoder. If string, <code>&quot;gelu&quot;</code> and
<code>&quot;relu&quot;</code> are supported.`,name:"activation_function"},{anchor:"transformers.TimeSeriesTransformerConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the encoder, and decoder.`,name:"dropout"},{anchor:"transformers.TimeSeriesTransformerConfig.encoder_layerdrop",description:`<strong>encoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for the attention and fully connected layers for each encoder layer.`,name:"encoder_layerdrop"},{anchor:"transformers.TimeSeriesTransformerConfig.decoder_layerdrop",description:`<strong>decoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for the attention and fully connected layers for each decoder layer.`,name:"decoder_layerdrop"},{anchor:"transformers.TimeSeriesTransformerConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.TimeSeriesTransformerConfig.activation_dropout",description:`<strong>activation_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability used between the two layers of the feed-forward networks.`,name:"activation_dropout"},{anchor:"transformers.TimeSeriesTransformerConfig.num_parallel_samples",description:`<strong>num_parallel_samples</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
The number of samples to generate in parallel for each time step of inference.`,name:"num_parallel_samples"},{anchor:"transformers.TimeSeriesTransformerConfig.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated normal weight initialization distribution.`,name:"init_std"},{anchor:"transformers.TimeSeriesTransformerConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to use the past key/values attentions (if applicable to the model) to speed up decoding.</p>
<p>Example &#x2014;`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/vr_22403/src/transformers/models/time_series_transformer/configuration_time_series_transformer.py#L33"}}),ae=new Ca({props:{anchor:"transformers.TimeSeriesTransformerConfig.example",$$slots:{default:[Ar]},$$scope:{ctx:z}}}),Se=new Ht({}),xe=new Rt({props:{name:"class transformers.TimeSeriesTransformerModel",anchor:"transformers.TimeSeriesTransformerModel",parameters:[{name:"config",val:": TimeSeriesTransformerConfig"}],parametersDescription:[{anchor:"transformers.TimeSeriesTransformerModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22403/en/model_doc/time_series_transformer#transformers.TimeSeriesTransformerConfig">TimeSeriesTransformerConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/pr_22403/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22403/src/transformers/models/time_series_transformer/modeling_time_series_transformer.py#L1226"}}),Ee=new Rt({props:{name:"forward",anchor:"transformers.TimeSeriesTransformerModel.forward",parameters:[{name:"past_values",val:": Tensor"},{name:"past_time_features",val:": Tensor"},{name:"past_observed_mask",val:": Tensor"},{name:"static_categorical_features",val:": typing.Optional[torch.Tensor] = None"},{name:"static_real_features",val:": typing.Optional[torch.Tensor] = None"},{name:"future_values",val:": typing.Optional[torch.Tensor] = None"},{name:"future_time_features",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.TimeSeriesTransformerModel.forward.past_values",description:`<strong>past_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code> or <code>(batch_size, sequence_length, input_size)</code>) &#x2014;
Past values of the time series, that serve as context in order to predict the future. The sequence size of
this tensor must be larger than the <code>context_length</code> of the model, since the model will use the larger size
to construct lag features, i.e. additional values from the past which are added in order to serve as &#x201C;extra
context&#x201D;.</p>
<p>The <code>sequence_length</code> here is equal to <code>config.context_length</code> + <code>max(config.lags_sequence)</code>, which if no
<code>lags_sequence</code> is configured, is equal to <code>config.context_length</code> + 7 (as by default, the largest
look-back index in <code>config.lags_sequence</code> is 7). The property <code>_past_length</code> returns the actual length of
the past.</p>
<p>The <code>past_values</code> is what the Transformer encoder gets as input (with optional additional features, such as
<code>static_categorical_features</code>, <code>static_real_features</code>, <code>past_time_features</code> and lags).</p>
<p>Optionally, missing values need to be replaced with zeros and indicated via the <code>past_observed_mask</code>.</p>
<p>For multivariate time series, the <code>input_size</code> &gt; 1 dimension is required and corresponds to the number of
variates in the time series per time step.`,name:"past_values"},{anchor:"transformers.TimeSeriesTransformerModel.forward.past_time_features",description:`<strong>past_time_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, num_features)</code>) &#x2014;
Required time features, which the model internally will add to <code>past_values</code>. These could be things like
&#x201C;month of year&#x201D;, &#x201C;day of the month&#x201D;, etc. encoded as vectors (for instance as Fourier features). These
could also be so-called &#x201C;age&#x201D; features, which basically help the model know &#x201C;at which point in life&#x201D; a
time-series is. Age features have small values for distant past time steps and increase monotonically the
more we approach the current time step. Holiday features are also a good example of time features.</p>
<p>These features serve as the &#x201C;positional encodings&#x201D; of the inputs. So contrary to a model like BERT, where
the position encodings are learned from scratch internally as parameters of the model, the Time Series
Transformer requires to provide additional time features. The Time Series Transformer only learns
additional embeddings for <code>static_categorical_features</code>.</p>
<p>Additional dynamic real covariates can be concatenated to this tensor, with the caveat that these features
must but known at prediction time.</p>
<p>The <code>num_features</code> here is equal to <code>config.</code>num_time_features<code>+</code>config.num_dynamic_real_features\`.`,name:"past_time_features"},{anchor:"transformers.TimeSeriesTransformerModel.forward.past_observed_mask",description:`<strong>past_observed_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, sequence_length)</code> or <code>(batch_size, sequence_length, input_size)</code>, <em>optional</em>) &#x2014;
Boolean mask to indicate which <code>past_values</code> were observed and which were missing. Mask values selected in
<code>[0, 1]</code>:</p>
<ul>
<li>1 for values that are <strong>observed</strong>,</li>
<li>0 for values that are <strong>missing</strong> (i.e. NaNs that were replaced by zeros).</li>
</ul>`,name:"past_observed_mask"},{anchor:"transformers.TimeSeriesTransformerModel.forward.static_categorical_features",description:`<strong>static_categorical_features</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, number of static categorical features)</code>, <em>optional</em>) &#x2014;
Optional static categorical features for which the model will learn an embedding, which it will add to the
values of the time series.</p>
<p>Static categorical features are features which have the same value for all time steps (static over time).</p>
<p>A typical example of a static categorical feature is a time series ID.`,name:"static_categorical_features"},{anchor:"transformers.TimeSeriesTransformerModel.forward.static_real_features",description:`<strong>static_real_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, number of static real features)</code>, <em>optional</em>) &#x2014;
Optional static real features which the model will add to the values of the time series.</p>
<p>Static real features are features which have the same value for all time steps (static over time).</p>
<p>A typical example of a static real feature is promotion information.`,name:"static_real_features"},{anchor:"transformers.TimeSeriesTransformerModel.forward.future_values",description:`<strong>future_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, prediction_length)</code> or <code>(batch_size, prediction_length, input_size)</code>, <em>optional</em>) &#x2014;
Future values of the time series, that serve as labels for the model. The <code>future_values</code> is what the
Transformer needs during training to learn to output, given the <code>past_values</code>.</p>
<p>The sequence length here is equal to <code>prediction_length</code>.</p>
<p>See the demo notebook and code snippets for details.</p>
<p>Optionally, during training any missing values need to be replaced with zeros and indicated via the
<code>future_observed_mask</code>.</p>
<p>For multivariate time series, the <code>input_size</code> &gt; 1 dimension is required and corresponds to the number of
variates in the time series per time step.`,name:"future_values"},{anchor:"transformers.TimeSeriesTransformerModel.forward.future_time_features",description:`<strong>future_time_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, prediction_length, num_features)</code>) &#x2014;
Required time features for the prediction window, which the model internally will add to <code>future_values</code>.
These could be things like &#x201C;month of year&#x201D;, &#x201C;day of the month&#x201D;, etc. encoded as vectors (for instance as
Fourier features). These could also be so-called &#x201C;age&#x201D; features, which basically help the model know &#x201C;at
which point in life&#x201D; a time-series is. Age features have small values for distant past time steps and
increase monotonically the more we approach the current time step. Holiday features are also a good example
of time features.</p>
<p>These features serve as the &#x201C;positional encodings&#x201D; of the inputs. So contrary to a model like BERT, where
the position encodings are learned from scratch internally as parameters of the model, the Time Series
Transformer requires to provide additional time features. The Time Series Transformer only learns
additional embeddings for <code>static_categorical_features</code>.</p>
<p>Additional dynamic real covariates can be concatenated to this tensor, with the caveat that these features
must but known at prediction time.</p>
<p>The <code>num_features</code> here is equal to <code>config.</code>num_time_features<code>+</code>config.num_dynamic_real_features\`.`,name:"future_time_features"},{anchor:"transformers.TimeSeriesTransformerModel.forward.future_observed_mask",description:`<strong>future_observed_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, sequence_length)</code> or <code>(batch_size, sequence_length, input_size)</code>, <em>optional</em>) &#x2014;
Boolean mask to indicate which <code>future_values</code> were observed and which were missing. Mask values selected
in <code>[0, 1]</code>:</p>
<ul>
<li>1 for values that are <strong>observed</strong>,</li>
<li>0 for values that are <strong>missing</strong> (i.e. NaNs that were replaced by zeros).</li>
</ul>
<p>This mask is used to filter out missing values for the final loss calculation.`,name:"future_observed_mask"},{anchor:"transformers.TimeSeriesTransformerModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on certain token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TimeSeriesTransformerModel.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on certain token indices. By default, a causal mask will be used, to
make sure the model can only look at previous inputs in order to predict the future.`,name:"decoder_attention_mask"},{anchor:"transformers.TimeSeriesTransformerModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TimeSeriesTransformerModel.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TimeSeriesTransformerModel.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TimeSeriesTransformerModel.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of <code>last_hidden_state</code>, <code>hidden_states</code> (<em>optional</em>) and <code>attentions</code> (<em>optional</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> (<em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.TimeSeriesTransformerModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TimeSeriesTransformerModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TimeSeriesTransformerModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TimeSeriesTransformerModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TimeSeriesTransformerModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TimeSeriesTransformerModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22403/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22403/src/transformers/models/time_series_transformer/modeling_time_series_transformer.py#L1364",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22403/en/main_classes/output#transformers.modeling_outputs.Seq2SeqTSModelOutput"
>transformers.modeling_outputs.Seq2SeqTSModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22403/en/model_doc/time_series_transformer#transformers.TimeSeriesTransformerConfig"
>TimeSeriesTransformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>loc</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size,)</code> or <code>(batch_size, input_size)</code>, <em>optional</em>) \u2014 Shift values of each time series\u2019 context window which is used to give the model inputs of the same
magnitude and then used to shift back to the original magnitude.</p>
</li>
<li>
<p><strong>scale</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size,)</code> or <code>(batch_size, input_size)</code>, <em>optional</em>) \u2014 Scaling values of each time series\u2019 context window which is used to give the model inputs of the same
magnitude and then used to rescale back to the original magnitude.</p>
</li>
<li>
<p><strong>static_features:</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, feature size)</code>, <em>optional</em>) \u2014 Static features of each time series\u2019 in a batch which are copied to the covariates at inference time.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22403/en/main_classes/output#transformers.modeling_outputs.Seq2SeqTSModelOutput"
>transformers.modeling_outputs.Seq2SeqTSModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ne=new Ea({props:{$$slots:{default:[Nr]},$$scope:{ctx:z}}}),ie=new Ca({props:{anchor:"transformers.TimeSeriesTransformerModel.forward.example",$$slots:{default:[Ir]},$$scope:{ctx:z}}}),Ce=new Ht({}),Fe=new Rt({props:{name:"class transformers.TimeSeriesTransformerForPrediction",anchor:"transformers.TimeSeriesTransformerForPrediction",parameters:[{name:"config",val:": TimeSeriesTransformerConfig"}],parametersDescription:[{anchor:"transformers.TimeSeriesTransformerForPrediction.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22403/en/model_doc/time_series_transformer#transformers.TimeSeriesTransformerConfig">TimeSeriesTransformerConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/pr_22403/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22403/src/transformers/models/time_series_transformer/modeling_time_series_transformer.py#L1487"}}),Oe=new Rt({props:{name:"forward",anchor:"transformers.TimeSeriesTransformerForPrediction.forward",parameters:[{name:"past_values",val:": Tensor"},{name:"past_time_features",val:": Tensor"},{name:"past_observed_mask",val:": Tensor"},{name:"static_categorical_features",val:": typing.Optional[torch.Tensor] = None"},{name:"static_real_features",val:": typing.Optional[torch.Tensor] = None"},{name:"future_values",val:": typing.Optional[torch.Tensor] = None"},{name:"future_time_features",val:": typing.Optional[torch.Tensor] = None"},{name:"future_observed_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.past_values",description:`<strong>past_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code> or <code>(batch_size, sequence_length, input_size)</code>) &#x2014;
Past values of the time series, that serve as context in order to predict the future. The sequence size of
this tensor must be larger than the <code>context_length</code> of the model, since the model will use the larger size
to construct lag features, i.e. additional values from the past which are added in order to serve as &#x201C;extra
context&#x201D;.</p>
<p>The <code>sequence_length</code> here is equal to <code>config.context_length</code> + <code>max(config.lags_sequence)</code>, which if no
<code>lags_sequence</code> is configured, is equal to <code>config.context_length</code> + 7 (as by default, the largest
look-back index in <code>config.lags_sequence</code> is 7). The property <code>_past_length</code> returns the actual length of
the past.</p>
<p>The <code>past_values</code> is what the Transformer encoder gets as input (with optional additional features, such as
<code>static_categorical_features</code>, <code>static_real_features</code>, <code>past_time_features</code> and lags).</p>
<p>Optionally, missing values need to be replaced with zeros and indicated via the <code>past_observed_mask</code>.</p>
<p>For multivariate time series, the <code>input_size</code> &gt; 1 dimension is required and corresponds to the number of
variates in the time series per time step.`,name:"past_values"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.past_time_features",description:`<strong>past_time_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, num_features)</code>) &#x2014;
Required time features, which the model internally will add to <code>past_values</code>. These could be things like
&#x201C;month of year&#x201D;, &#x201C;day of the month&#x201D;, etc. encoded as vectors (for instance as Fourier features). These
could also be so-called &#x201C;age&#x201D; features, which basically help the model know &#x201C;at which point in life&#x201D; a
time-series is. Age features have small values for distant past time steps and increase monotonically the
more we approach the current time step. Holiday features are also a good example of time features.</p>
<p>These features serve as the &#x201C;positional encodings&#x201D; of the inputs. So contrary to a model like BERT, where
the position encodings are learned from scratch internally as parameters of the model, the Time Series
Transformer requires to provide additional time features. The Time Series Transformer only learns
additional embeddings for <code>static_categorical_features</code>.</p>
<p>Additional dynamic real covariates can be concatenated to this tensor, with the caveat that these features
must but known at prediction time.</p>
<p>The <code>num_features</code> here is equal to <code>config.</code>num_time_features<code>+</code>config.num_dynamic_real_features\`.`,name:"past_time_features"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.past_observed_mask",description:`<strong>past_observed_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, sequence_length)</code> or <code>(batch_size, sequence_length, input_size)</code>, <em>optional</em>) &#x2014;
Boolean mask to indicate which <code>past_values</code> were observed and which were missing. Mask values selected in
<code>[0, 1]</code>:</p>
<ul>
<li>1 for values that are <strong>observed</strong>,</li>
<li>0 for values that are <strong>missing</strong> (i.e. NaNs that were replaced by zeros).</li>
</ul>`,name:"past_observed_mask"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.static_categorical_features",description:`<strong>static_categorical_features</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, number of static categorical features)</code>, <em>optional</em>) &#x2014;
Optional static categorical features for which the model will learn an embedding, which it will add to the
values of the time series.</p>
<p>Static categorical features are features which have the same value for all time steps (static over time).</p>
<p>A typical example of a static categorical feature is a time series ID.`,name:"static_categorical_features"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.static_real_features",description:`<strong>static_real_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, number of static real features)</code>, <em>optional</em>) &#x2014;
Optional static real features which the model will add to the values of the time series.</p>
<p>Static real features are features which have the same value for all time steps (static over time).</p>
<p>A typical example of a static real feature is promotion information.`,name:"static_real_features"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.future_values",description:`<strong>future_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, prediction_length)</code> or <code>(batch_size, prediction_length, input_size)</code>, <em>optional</em>) &#x2014;
Future values of the time series, that serve as labels for the model. The <code>future_values</code> is what the
Transformer needs during training to learn to output, given the <code>past_values</code>.</p>
<p>The sequence length here is equal to <code>prediction_length</code>.</p>
<p>See the demo notebook and code snippets for details.</p>
<p>Optionally, during training any missing values need to be replaced with zeros and indicated via the
<code>future_observed_mask</code>.</p>
<p>For multivariate time series, the <code>input_size</code> &gt; 1 dimension is required and corresponds to the number of
variates in the time series per time step.`,name:"future_values"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.future_time_features",description:`<strong>future_time_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, prediction_length, num_features)</code>) &#x2014;
Required time features for the prediction window, which the model internally will add to <code>future_values</code>.
These could be things like &#x201C;month of year&#x201D;, &#x201C;day of the month&#x201D;, etc. encoded as vectors (for instance as
Fourier features). These could also be so-called &#x201C;age&#x201D; features, which basically help the model know &#x201C;at
which point in life&#x201D; a time-series is. Age features have small values for distant past time steps and
increase monotonically the more we approach the current time step. Holiday features are also a good example
of time features.</p>
<p>These features serve as the &#x201C;positional encodings&#x201D; of the inputs. So contrary to a model like BERT, where
the position encodings are learned from scratch internally as parameters of the model, the Time Series
Transformer requires to provide additional time features. The Time Series Transformer only learns
additional embeddings for <code>static_categorical_features</code>.</p>
<p>Additional dynamic real covariates can be concatenated to this tensor, with the caveat that these features
must but known at prediction time.</p>
<p>The <code>num_features</code> here is equal to <code>config.</code>num_time_features<code>+</code>config.num_dynamic_real_features\`.`,name:"future_time_features"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.future_observed_mask",description:`<strong>future_observed_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, sequence_length)</code> or <code>(batch_size, sequence_length, input_size)</code>, <em>optional</em>) &#x2014;
Boolean mask to indicate which <code>future_values</code> were observed and which were missing. Mask values selected
in <code>[0, 1]</code>:</p>
<ul>
<li>1 for values that are <strong>observed</strong>,</li>
<li>0 for values that are <strong>missing</strong> (i.e. NaNs that were replaced by zeros).</li>
</ul>
<p>This mask is used to filter out missing values for the final loss calculation.`,name:"future_observed_mask"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on certain token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on certain token indices. By default, a causal mask will be used, to
make sure the model can only look at previous inputs in order to predict the future.`,name:"decoder_attention_mask"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of <code>last_hidden_state</code>, <code>hidden_states</code> (<em>optional</em>) and <code>attentions</code> (<em>optional</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> (<em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22403/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22403/src/transformers/models/time_series_transformer/modeling_time_series_transformer.py#L1527",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22403/en/main_classes/output#transformers.modeling_outputs.Seq2SeqTSModelOutput"
>transformers.modeling_outputs.Seq2SeqTSModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22403/en/model_doc/time_series_transformer#transformers.TimeSeriesTransformerConfig"
>TimeSeriesTransformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>loc</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size,)</code> or <code>(batch_size, input_size)</code>, <em>optional</em>) \u2014 Shift values of each time series\u2019 context window which is used to give the model inputs of the same
magnitude and then used to shift back to the original magnitude.</p>
</li>
<li>
<p><strong>scale</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size,)</code> or <code>(batch_size, input_size)</code>, <em>optional</em>) \u2014 Scaling values of each time series\u2019 context window which is used to give the model inputs of the same
magnitude and then used to rescale back to the original magnitude.</p>
</li>
<li>
<p><strong>static_features:</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, feature size)</code>, <em>optional</em>) \u2014 Static features of each time series\u2019 in a batch which are copied to the covariates at inference time.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22403/en/main_classes/output#transformers.modeling_outputs.Seq2SeqTSModelOutput"
>transformers.modeling_outputs.Seq2SeqTSModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ce=new Ea({props:{$$slots:{default:[Lr]},$$scope:{ctx:z}}}),le=new Ca({props:{anchor:"transformers.TimeSeriesTransformerForPrediction.forward.example",$$slots:{default:[Br]},$$scope:{ctx:z}}}),{c(){d=r("meta"),v=u(),l=r("h1"),p=r("a"),T=r("span"),b(c.$$.fragment),_=u(),E=r("span"),uo=s("Time Series Transformer"),Wt=u(),b(Y.$$.fragment),Ut=u(),R=r("h2"),Z=r("a"),at=r("span"),b(ve.$$.fragment),fo=u(),rt=r("span"),po=s("Overview"),Gt=u(),Le=r("p"),_o=s("The Time Series Transformer model is a vanilla encoder-decoder Transformer for time series forecasting."),Vt=u(),Be=r("p"),go=s("Tips:"),Jt=u(),C=r("ul"),H=r("li"),vo=s("Similar to other models in the library, "),Re=r("a"),To=s("TimeSeriesTransformerModel"),bo=s(" is the raw Transformer without any head on top, and "),He=r("a"),wo=s("TimeSeriesTransformerForPrediction"),yo=s(`
adds a distribution head on top of the former, which can be used for time-series forecasting. Note that this is a so-called probabilistic forecasting model, not a
point forecasting model. This means that the model learns a distribution, from which one can sample. The model doesn\u2019t directly output values.`),ko=u(),$=r("li"),We=r("a"),So=s("TimeSeriesTransformerForPrediction"),xo=s(" consists of 2 blocks: an encoder, which takes a "),nt=r("code"),$o=s("context_length"),qo=s(" of time series values as input (called "),it=r("code"),zo=s("past_values"),Eo=s(`),
and a decoder, which predicts a `),dt=r("code"),Co=s("prediction_length"),Fo=s(" of time series values into the future (called "),ct=r("code"),jo=s("future_values"),Mo=s(`). During training, one needs to provide
pairs of (`),lt=r("code"),Po=s("past_values"),Oo=s(" and "),ht=r("code"),Do=s("future_values"),Ao=s(") to the model."),No=u(),I=r("li"),Io=s("In addition to the raw ("),mt=r("code"),Lo=s("past_values"),Bo=s(" and "),ut=r("code"),Ro=s("future_values"),Ho=s("), one typically provides additional features to the model. These can be the following:"),A=r("ul"),ee=r("li"),ft=r("code"),Wo=s("past_time_features"),Uo=s(": temporal features which the model will add to "),pt=r("code"),Go=s("past_values"),Vo=s(`. These serve as \u201Cpositional encodings\u201D for the Transformer encoder.
Examples are \u201Cday of the month\u201D, \u201Cmonth of the year\u201D, etc. as scalar values (and then stacked together as a vector).
e.g. if a given time-series value was obtained on the 11th of August, then one could have [11, 8] as time feature vector (11 being \u201Cday of the month\u201D, 8 being \u201Cmonth of the year\u201D).`),Jo=u(),te=r("li"),_t=r("code"),Ko=s("future_time_features"),Qo=s(": temporal features which the model will add to "),gt=r("code"),Xo=s("future_values"),Yo=s(`. These serve as \u201Cpositional encodings\u201D for the Transformer decoder.
Examples are \u201Cday of the month\u201D, \u201Cmonth of the year\u201D, etc. as scalar values (and then stacked together as a vector).
e.g. if a given time-series value was obtained on the 11th of August, then one could have [11, 8] as time feature vector (11 being \u201Cday of the month\u201D, 8 being \u201Cmonth of the year\u201D).`),Zo=u(),L=r("li"),vt=r("code"),es=s("static_categorical_features"),ts=s(": categorical features which are static over time (i.e., have the same value for all "),Tt=r("code"),os=s("past_values"),ss=s(" and "),bt=r("code"),as=s("future_values"),rs=s(`).
An example here is the store ID or region ID that identifies a given time-series.
Note that these features need to be known for ALL data points (also those in the future).`),ns=u(),P=r("li"),wt=r("code"),is=s("static_real_features"),ds=s(": real-valued features which are static over time (i.e., have the same value for all "),yt=r("code"),cs=s("past_values"),ls=s(" and "),kt=r("code"),hs=s("future_values"),ms=s(`).
An example here is the image representation of the product for which you have the time-series values (like the `),Ue=r("a"),us=s("ResNet"),fs=s(` embedding of a \u201Cshoe\u201D picture,
if your time-series is about the sales of shoes).
Note that these features need to be known for ALL data points (also those in the future).`),ps=u(),N=r("li"),_s=s(`The model is trained using \u201Cteacher-forcing\u201D, similar to how a Transformer is trained for machine translation. This means that, during training, one shifts the
`),St=r("code"),gs=s("future_values"),vs=s(" one position to the right as input to the decoder, prepended by the last value of "),xt=r("code"),Ts=s("past_values"),bs=s(`. At each time step, the model needs to predict the
next target. So the set-up of training is similar to a GPT model for language, except that there\u2019s no notion of `),$t=r("code"),ws=s("decoder_start_token_id"),ys=s(` (we just use the last value
of the context as initial input for the decoder).`),ks=u(),Te=r("li"),Ss=s("At inference time, we give the final value of the "),qt=r("code"),xs=s("past_values"),$s=s(` as input to the decoder. Next, we can sample from the model to make a prediction at the next time step,
which is then fed to the decoder in order to make the next prediction (also called autoregressive generation).`),Kt=u(),oe=r("p"),qs=s("This model was contributed by "),be=r("a"),zs=s("kashif"),Es=s("."),Qt=u(),W=r("h2"),se=r("a"),zt=r("span"),b(we.$$.fragment),Cs=u(),Et=r("span"),Fs=s("TimeSeriesTransformerConfig"),Xt=u(),F=r("div"),b(ye.$$.fragment),js=u(),U=r("p"),Ms=s("This is the configuration class to store the configuration of a "),Ge=r("a"),Ps=s("TimeSeriesTransformerModel"),Os=s(`. It is used to
instantiate a Time Series Transformer model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the Time Series
Transformer
`),ke=r("a"),Ds=s("huggingface/time-series-transformer-tourism-monthly"),As=s(`
architecture.`),Ns=u(),G=r("p"),Is=s("Configuration objects inherit from "),Ve=r("a"),Ls=s("PretrainedConfig"),Bs=s(` can be used to control the model outputs. Read the
documentation from `),Je=r("a"),Rs=s("PretrainedConfig"),Hs=s(" for more information."),Ws=u(),b(ae.$$.fragment),Yt=u(),V=r("h2"),re=r("a"),Ct=r("span"),b(Se.$$.fragment),Us=u(),Ft=r("span"),Gs=s("TimeSeriesTransformerModel"),Zt=u(),j=r("div"),b(xe.$$.fragment),Vs=u(),$e=r("p"),Js=s(`The bare Time Series Transformer Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Ke=r("a"),Ks=s("PreTrainedModel"),Qs=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Xs=u(),qe=r("p"),Ys=s("This model is also a PyTorch "),ze=r("a"),Zs=s("torch.nn.Module"),ea=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ta=u(),O=r("div"),b(Ee.$$.fragment),oa=u(),J=r("p"),sa=s("The "),Qe=r("a"),aa=s("TimeSeriesTransformerModel"),ra=s(" forward method, overrides the "),jt=r("code"),na=s("__call__"),ia=s(" special method."),da=u(),b(ne.$$.fragment),ca=u(),b(ie.$$.fragment),eo=u(),K=r("h2"),de=r("a"),Mt=r("span"),b(Ce.$$.fragment),la=u(),Pt=r("span"),ha=s("TimeSeriesTransformerForPrediction"),to=u(),M=r("div"),b(Fe.$$.fragment),ma=u(),je=r("p"),ua=s(`The Time Series Transformer Model with a distribution head on top for time-series forecasting.
This model inherits from `),Xe=r("a"),fa=s("PreTrainedModel"),pa=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),_a=u(),Me=r("p"),ga=s("This model is also a PyTorch "),Pe=r("a"),va=s("torch.nn.Module"),Ta=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ba=u(),D=r("div"),b(Oe.$$.fragment),wa=u(),Q=r("p"),ya=s("The "),Ye=r("a"),ka=s("TimeSeriesTransformerForPrediction"),Sa=s(" forward method, overrides the "),Ot=r("code"),xa=s("__call__"),$a=s(" special method."),qa=u(),b(ce.$$.fragment),za=u(),b(le.$$.fragment),this.h()},l(o){const m=Pr('[data-svelte="svelte-1phssyn"]',document.head);d=n(m,"META",{name:!0,content:!0}),m.forEach(t),v=f(o),l=n(o,"H1",{class:!0});var De=i(l);p=n(De,"A",{id:!0,class:!0,href:!0});var Dt=i(p);T=n(Dt,"SPAN",{});var At=i(T);w(c.$$.fragment,At),At.forEach(t),Dt.forEach(t),_=f(De),E=n(De,"SPAN",{});var Nt=i(E);uo=a(Nt,"Time Series Transformer"),Nt.forEach(t),De.forEach(t),Wt=f(o),w(Y.$$.fragment,o),Ut=f(o),R=n(o,"H2",{class:!0});var Ae=i(R);Z=n(Ae,"A",{id:!0,class:!0,href:!0});var It=i(Z);at=n(It,"SPAN",{});var Ma=i(at);w(ve.$$.fragment,Ma),Ma.forEach(t),It.forEach(t),fo=f(Ae),rt=n(Ae,"SPAN",{});var Pa=i(rt);po=a(Pa,"Overview"),Pa.forEach(t),Ae.forEach(t),Gt=f(o),Le=n(o,"P",{});var Oa=i(Le);_o=a(Oa,"The Time Series Transformer model is a vanilla encoder-decoder Transformer for time series forecasting."),Oa.forEach(t),Vt=f(o),Be=n(o,"P",{});var Da=i(Be);go=a(Da,"Tips:"),Da.forEach(t),Jt=f(o),C=n(o,"UL",{});var B=i(C);H=n(B,"LI",{});var Ze=i(H);vo=a(Ze,"Similar to other models in the library, "),Re=n(Ze,"A",{href:!0});var Aa=i(Re);To=a(Aa,"TimeSeriesTransformerModel"),Aa.forEach(t),bo=a(Ze," is the raw Transformer without any head on top, and "),He=n(Ze,"A",{href:!0});var Na=i(He);wo=a(Na,"TimeSeriesTransformerForPrediction"),Na.forEach(t),yo=a(Ze,`
adds a distribution head on top of the former, which can be used for time-series forecasting. Note that this is a so-called probabilistic forecasting model, not a
point forecasting model. This means that the model learns a distribution, from which one can sample. The model doesn\u2019t directly output values.`),Ze.forEach(t),ko=f(B),$=n(B,"LI",{});var q=i($);We=n(q,"A",{href:!0});var Ia=i(We);So=a(Ia,"TimeSeriesTransformerForPrediction"),Ia.forEach(t),xo=a(q," consists of 2 blocks: an encoder, which takes a "),nt=n(q,"CODE",{});var La=i(nt);$o=a(La,"context_length"),La.forEach(t),qo=a(q," of time series values as input (called "),it=n(q,"CODE",{});var Ba=i(it);zo=a(Ba,"past_values"),Ba.forEach(t),Eo=a(q,`),
and a decoder, which predicts a `),dt=n(q,"CODE",{});var Ra=i(dt);Co=a(Ra,"prediction_length"),Ra.forEach(t),Fo=a(q," of time series values into the future (called "),ct=n(q,"CODE",{});var Ha=i(ct);jo=a(Ha,"future_values"),Ha.forEach(t),Mo=a(q,`). During training, one needs to provide
pairs of (`),lt=n(q,"CODE",{});var Wa=i(lt);Po=a(Wa,"past_values"),Wa.forEach(t),Oo=a(q," and "),ht=n(q,"CODE",{});var Ua=i(ht);Do=a(Ua,"future_values"),Ua.forEach(t),Ao=a(q,") to the model."),q.forEach(t),No=f(B),I=n(B,"LI",{});var Ne=i(I);Io=a(Ne,"In addition to the raw ("),mt=n(Ne,"CODE",{});var Ga=i(mt);Lo=a(Ga,"past_values"),Ga.forEach(t),Bo=a(Ne," and "),ut=n(Ne,"CODE",{});var Va=i(ut);Ro=a(Va,"future_values"),Va.forEach(t),Ho=a(Ne,"), one typically provides additional features to the model. These can be the following:"),A=n(Ne,"UL",{});var he=i(A);ee=n(he,"LI",{});var Lt=i(ee);ft=n(Lt,"CODE",{});var Ja=i(ft);Wo=a(Ja,"past_time_features"),Ja.forEach(t),Uo=a(Lt,": temporal features which the model will add to "),pt=n(Lt,"CODE",{});var Ka=i(pt);Go=a(Ka,"past_values"),Ka.forEach(t),Vo=a(Lt,`. These serve as \u201Cpositional encodings\u201D for the Transformer encoder.
Examples are \u201Cday of the month\u201D, \u201Cmonth of the year\u201D, etc. as scalar values (and then stacked together as a vector).
e.g. if a given time-series value was obtained on the 11th of August, then one could have [11, 8] as time feature vector (11 being \u201Cday of the month\u201D, 8 being \u201Cmonth of the year\u201D).`),Lt.forEach(t),Jo=f(he),te=n(he,"LI",{});var Bt=i(te);_t=n(Bt,"CODE",{});var Qa=i(_t);Ko=a(Qa,"future_time_features"),Qa.forEach(t),Qo=a(Bt,": temporal features which the model will add to "),gt=n(Bt,"CODE",{});var Xa=i(gt);Xo=a(Xa,"future_values"),Xa.forEach(t),Yo=a(Bt,`. These serve as \u201Cpositional encodings\u201D for the Transformer decoder.
Examples are \u201Cday of the month\u201D, \u201Cmonth of the year\u201D, etc. as scalar values (and then stacked together as a vector).
e.g. if a given time-series value was obtained on the 11th of August, then one could have [11, 8] as time feature vector (11 being \u201Cday of the month\u201D, 8 being \u201Cmonth of the year\u201D).`),Bt.forEach(t),Zo=f(he),L=n(he,"LI",{});var Ie=i(L);vt=n(Ie,"CODE",{});var Ya=i(vt);es=a(Ya,"static_categorical_features"),Ya.forEach(t),ts=a(Ie,": categorical features which are static over time (i.e., have the same value for all "),Tt=n(Ie,"CODE",{});var Za=i(Tt);os=a(Za,"past_values"),Za.forEach(t),ss=a(Ie," and "),bt=n(Ie,"CODE",{});var er=i(bt);as=a(er,"future_values"),er.forEach(t),rs=a(Ie,`).
An example here is the store ID or region ID that identifies a given time-series.
Note that these features need to be known for ALL data points (also those in the future).`),Ie.forEach(t),ns=f(he),P=n(he,"LI",{});var X=i(P);wt=n(X,"CODE",{});var tr=i(wt);is=a(tr,"static_real_features"),tr.forEach(t),ds=a(X,": real-valued features which are static over time (i.e., have the same value for all "),yt=n(X,"CODE",{});var or=i(yt);cs=a(or,"past_values"),or.forEach(t),ls=a(X," and "),kt=n(X,"CODE",{});var sr=i(kt);hs=a(sr,"future_values"),sr.forEach(t),ms=a(X,`).
An example here is the image representation of the product for which you have the time-series values (like the `),Ue=n(X,"A",{href:!0});var ar=i(Ue);us=a(ar,"ResNet"),ar.forEach(t),fs=a(X,` embedding of a \u201Cshoe\u201D picture,
if your time-series is about the sales of shoes).
Note that these features need to be known for ALL data points (also those in the future).`),X.forEach(t),he.forEach(t),Ne.forEach(t),ps=f(B),N=n(B,"LI",{});var me=i(N);_s=a(me,`The model is trained using \u201Cteacher-forcing\u201D, similar to how a Transformer is trained for machine translation. This means that, during training, one shifts the
`),St=n(me,"CODE",{});var rr=i(St);gs=a(rr,"future_values"),rr.forEach(t),vs=a(me," one position to the right as input to the decoder, prepended by the last value of "),xt=n(me,"CODE",{});var nr=i(xt);Ts=a(nr,"past_values"),nr.forEach(t),bs=a(me,`. At each time step, the model needs to predict the
next target. So the set-up of training is similar to a GPT model for language, except that there\u2019s no notion of `),$t=n(me,"CODE",{});var ir=i($t);ws=a(ir,"decoder_start_token_id"),ir.forEach(t),ys=a(me,` (we just use the last value
of the context as initial input for the decoder).`),me.forEach(t),ks=f(B),Te=n(B,"LI",{});var so=i(Te);Ss=a(so,"At inference time, we give the final value of the "),qt=n(so,"CODE",{});var dr=i(qt);xs=a(dr,"past_values"),dr.forEach(t),$s=a(so,` as input to the decoder. Next, we can sample from the model to make a prediction at the next time step,
which is then fed to the decoder in order to make the next prediction (also called autoregressive generation).`),so.forEach(t),B.forEach(t),Kt=f(o),oe=n(o,"P",{});var ao=i(oe);qs=a(ao,"This model was contributed by "),be=n(ao,"A",{href:!0,rel:!0});var cr=i(be);zs=a(cr,"kashif"),cr.forEach(t),Es=a(ao,"."),ao.forEach(t),Qt=f(o),W=n(o,"H2",{class:!0});var ro=i(W);se=n(ro,"A",{id:!0,class:!0,href:!0});var lr=i(se);zt=n(lr,"SPAN",{});var hr=i(zt);w(we.$$.fragment,hr),hr.forEach(t),lr.forEach(t),Cs=f(ro),Et=n(ro,"SPAN",{});var mr=i(Et);Fs=a(mr,"TimeSeriesTransformerConfig"),mr.forEach(t),ro.forEach(t),Xt=f(o),F=n(o,"DIV",{class:!0});var ue=i(F);w(ye.$$.fragment,ue),js=f(ue),U=n(ue,"P",{});var et=i(U);Ms=a(et,"This is the configuration class to store the configuration of a "),Ge=n(et,"A",{href:!0});var ur=i(Ge);Ps=a(ur,"TimeSeriesTransformerModel"),ur.forEach(t),Os=a(et,`. It is used to
instantiate a Time Series Transformer model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the Time Series
Transformer
`),ke=n(et,"A",{href:!0,rel:!0});var fr=i(ke);Ds=a(fr,"huggingface/time-series-transformer-tourism-monthly"),fr.forEach(t),As=a(et,`
architecture.`),et.forEach(t),Ns=f(ue),G=n(ue,"P",{});var tt=i(G);Is=a(tt,"Configuration objects inherit from "),Ve=n(tt,"A",{href:!0});var pr=i(Ve);Ls=a(pr,"PretrainedConfig"),pr.forEach(t),Bs=a(tt,` can be used to control the model outputs. Read the
documentation from `),Je=n(tt,"A",{href:!0});var _r=i(Je);Rs=a(_r,"PretrainedConfig"),_r.forEach(t),Hs=a(tt," for more information."),tt.forEach(t),Ws=f(ue),w(ae.$$.fragment,ue),ue.forEach(t),Yt=f(o),V=n(o,"H2",{class:!0});var no=i(V);re=n(no,"A",{id:!0,class:!0,href:!0});var gr=i(re);Ct=n(gr,"SPAN",{});var vr=i(Ct);w(Se.$$.fragment,vr),vr.forEach(t),gr.forEach(t),Us=f(no),Ft=n(no,"SPAN",{});var Tr=i(Ft);Gs=a(Tr,"TimeSeriesTransformerModel"),Tr.forEach(t),no.forEach(t),Zt=f(o),j=n(o,"DIV",{class:!0});var fe=i(j);w(xe.$$.fragment,fe),Vs=f(fe),$e=n(fe,"P",{});var io=i($e);Js=a(io,`The bare Time Series Transformer Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Ke=n(io,"A",{href:!0});var br=i(Ke);Ks=a(br,"PreTrainedModel"),br.forEach(t),Qs=a(io,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),io.forEach(t),Xs=f(fe),qe=n(fe,"P",{});var co=i(qe);Ys=a(co,"This model is also a PyTorch "),ze=n(co,"A",{href:!0,rel:!0});var wr=i(ze);Zs=a(wr,"torch.nn.Module"),wr.forEach(t),ea=a(co,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),co.forEach(t),ta=f(fe),O=n(fe,"DIV",{class:!0});var pe=i(O);w(Ee.$$.fragment,pe),oa=f(pe),J=n(pe,"P",{});var ot=i(J);sa=a(ot,"The "),Qe=n(ot,"A",{href:!0});var yr=i(Qe);aa=a(yr,"TimeSeriesTransformerModel"),yr.forEach(t),ra=a(ot," forward method, overrides the "),jt=n(ot,"CODE",{});var kr=i(jt);na=a(kr,"__call__"),kr.forEach(t),ia=a(ot," special method."),ot.forEach(t),da=f(pe),w(ne.$$.fragment,pe),ca=f(pe),w(ie.$$.fragment,pe),pe.forEach(t),fe.forEach(t),eo=f(o),K=n(o,"H2",{class:!0});var lo=i(K);de=n(lo,"A",{id:!0,class:!0,href:!0});var Sr=i(de);Mt=n(Sr,"SPAN",{});var xr=i(Mt);w(Ce.$$.fragment,xr),xr.forEach(t),Sr.forEach(t),la=f(lo),Pt=n(lo,"SPAN",{});var $r=i(Pt);ha=a($r,"TimeSeriesTransformerForPrediction"),$r.forEach(t),lo.forEach(t),to=f(o),M=n(o,"DIV",{class:!0});var _e=i(M);w(Fe.$$.fragment,_e),ma=f(_e),je=n(_e,"P",{});var ho=i(je);ua=a(ho,`The Time Series Transformer Model with a distribution head on top for time-series forecasting.
This model inherits from `),Xe=n(ho,"A",{href:!0});var qr=i(Xe);fa=a(qr,"PreTrainedModel"),qr.forEach(t),pa=a(ho,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ho.forEach(t),_a=f(_e),Me=n(_e,"P",{});var mo=i(Me);ga=a(mo,"This model is also a PyTorch "),Pe=n(mo,"A",{href:!0,rel:!0});var zr=i(Pe);va=a(zr,"torch.nn.Module"),zr.forEach(t),Ta=a(mo,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),mo.forEach(t),ba=f(_e),D=n(_e,"DIV",{class:!0});var ge=i(D);w(Oe.$$.fragment,ge),wa=f(ge),Q=n(ge,"P",{});var st=i(Q);ya=a(st,"The "),Ye=n(st,"A",{href:!0});var Er=i(Ye);ka=a(Er,"TimeSeriesTransformerForPrediction"),Er.forEach(t),Sa=a(st," forward method, overrides the "),Ot=n(st,"CODE",{});var Cr=i(Ot);xa=a(Cr,"__call__"),Cr.forEach(t),$a=a(st," special method."),st.forEach(t),qa=f(ge),w(ce.$$.fragment,ge),za=f(ge),w(le.$$.fragment,ge),ge.forEach(t),_e.forEach(t),this.h()},h(){h(d,"name","hf:doc:metadata"),h(d,"content",JSON.stringify(Hr)),h(p,"id","time-series-transformer"),h(p,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(p,"href","#time-series-transformer"),h(l,"class","relative group"),h(Z,"id","overview"),h(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(Z,"href","#overview"),h(R,"class","relative group"),h(Re,"href","/docs/transformers/pr_22403/en/model_doc/time_series_transformer#transformers.TimeSeriesTransformerModel"),h(He,"href","/docs/transformers/pr_22403/en/model_doc/time_series_transformer#transformers.TimeSeriesTransformerForPrediction"),h(We,"href","/docs/transformers/pr_22403/en/model_doc/time_series_transformer#transformers.TimeSeriesTransformerForPrediction"),h(Ue,"href","resnet"),h(be,"href","https://huggingface.co/kashif"),h(be,"rel","nofollow"),h(se,"id","transformers.TimeSeriesTransformerConfig"),h(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(se,"href","#transformers.TimeSeriesTransformerConfig"),h(W,"class","relative group"),h(Ge,"href","/docs/transformers/pr_22403/en/model_doc/time_series_transformer#transformers.TimeSeriesTransformerModel"),h(ke,"href","https://huggingface.co/huggingface/time-series-transformer-tourism-monthly"),h(ke,"rel","nofollow"),h(Ve,"href","/docs/transformers/pr_22403/en/main_classes/configuration#transformers.PretrainedConfig"),h(Je,"href","/docs/transformers/pr_22403/en/main_classes/configuration#transformers.PretrainedConfig"),h(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(re,"id","transformers.TimeSeriesTransformerModel"),h(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(re,"href","#transformers.TimeSeriesTransformerModel"),h(V,"class","relative group"),h(Ke,"href","/docs/transformers/pr_22403/en/main_classes/model#transformers.PreTrainedModel"),h(ze,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),h(ze,"rel","nofollow"),h(Qe,"href","/docs/transformers/pr_22403/en/model_doc/time_series_transformer#transformers.TimeSeriesTransformerModel"),h(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(de,"id","transformers.TimeSeriesTransformerForPrediction"),h(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(de,"href","#transformers.TimeSeriesTransformerForPrediction"),h(K,"class","relative group"),h(Xe,"href","/docs/transformers/pr_22403/en/main_classes/model#transformers.PreTrainedModel"),h(Pe,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),h(Pe,"rel","nofollow"),h(Ye,"href","/docs/transformers/pr_22403/en/model_doc/time_series_transformer#transformers.TimeSeriesTransformerForPrediction"),h(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,m){e(document.head,d),g(o,v,m),g(o,l,m),e(l,p),e(p,T),y(c,T,null),e(l,_),e(l,E),e(E,uo),g(o,Wt,m),y(Y,o,m),g(o,Ut,m),g(o,R,m),e(R,Z),e(Z,at),y(ve,at,null),e(R,fo),e(R,rt),e(rt,po),g(o,Gt,m),g(o,Le,m),e(Le,_o),g(o,Vt,m),g(o,Be,m),e(Be,go),g(o,Jt,m),g(o,C,m),e(C,H),e(H,vo),e(H,Re),e(Re,To),e(H,bo),e(H,He),e(He,wo),e(H,yo),e(C,ko),e(C,$),e($,We),e(We,So),e($,xo),e($,nt),e(nt,$o),e($,qo),e($,it),e(it,zo),e($,Eo),e($,dt),e(dt,Co),e($,Fo),e($,ct),e(ct,jo),e($,Mo),e($,lt),e(lt,Po),e($,Oo),e($,ht),e(ht,Do),e($,Ao),e(C,No),e(C,I),e(I,Io),e(I,mt),e(mt,Lo),e(I,Bo),e(I,ut),e(ut,Ro),e(I,Ho),e(I,A),e(A,ee),e(ee,ft),e(ft,Wo),e(ee,Uo),e(ee,pt),e(pt,Go),e(ee,Vo),e(A,Jo),e(A,te),e(te,_t),e(_t,Ko),e(te,Qo),e(te,gt),e(gt,Xo),e(te,Yo),e(A,Zo),e(A,L),e(L,vt),e(vt,es),e(L,ts),e(L,Tt),e(Tt,os),e(L,ss),e(L,bt),e(bt,as),e(L,rs),e(A,ns),e(A,P),e(P,wt),e(wt,is),e(P,ds),e(P,yt),e(yt,cs),e(P,ls),e(P,kt),e(kt,hs),e(P,ms),e(P,Ue),e(Ue,us),e(P,fs),e(C,ps),e(C,N),e(N,_s),e(N,St),e(St,gs),e(N,vs),e(N,xt),e(xt,Ts),e(N,bs),e(N,$t),e($t,ws),e(N,ys),e(C,ks),e(C,Te),e(Te,Ss),e(Te,qt),e(qt,xs),e(Te,$s),g(o,Kt,m),g(o,oe,m),e(oe,qs),e(oe,be),e(be,zs),e(oe,Es),g(o,Qt,m),g(o,W,m),e(W,se),e(se,zt),y(we,zt,null),e(W,Cs),e(W,Et),e(Et,Fs),g(o,Xt,m),g(o,F,m),y(ye,F,null),e(F,js),e(F,U),e(U,Ms),e(U,Ge),e(Ge,Ps),e(U,Os),e(U,ke),e(ke,Ds),e(U,As),e(F,Ns),e(F,G),e(G,Is),e(G,Ve),e(Ve,Ls),e(G,Bs),e(G,Je),e(Je,Rs),e(G,Hs),e(F,Ws),y(ae,F,null),g(o,Yt,m),g(o,V,m),e(V,re),e(re,Ct),y(Se,Ct,null),e(V,Us),e(V,Ft),e(Ft,Gs),g(o,Zt,m),g(o,j,m),y(xe,j,null),e(j,Vs),e(j,$e),e($e,Js),e($e,Ke),e(Ke,Ks),e($e,Qs),e(j,Xs),e(j,qe),e(qe,Ys),e(qe,ze),e(ze,Zs),e(qe,ea),e(j,ta),e(j,O),y(Ee,O,null),e(O,oa),e(O,J),e(J,sa),e(J,Qe),e(Qe,aa),e(J,ra),e(J,jt),e(jt,na),e(J,ia),e(O,da),y(ne,O,null),e(O,ca),y(ie,O,null),g(o,eo,m),g(o,K,m),e(K,de),e(de,Mt),y(Ce,Mt,null),e(K,la),e(K,Pt),e(Pt,ha),g(o,to,m),g(o,M,m),y(Fe,M,null),e(M,ma),e(M,je),e(je,ua),e(je,Xe),e(Xe,fa),e(je,pa),e(M,_a),e(M,Me),e(Me,ga),e(Me,Pe),e(Pe,va),e(Me,Ta),e(M,ba),e(M,D),y(Oe,D,null),e(D,wa),e(D,Q),e(Q,ya),e(Q,Ye),e(Ye,ka),e(Q,Sa),e(Q,Ot),e(Ot,xa),e(Q,$a),e(D,qa),y(ce,D,null),e(D,za),y(le,D,null),oo=!0},p(o,[m]){const De={};m&2&&(De.$$scope={dirty:m,ctx:o}),Y.$set(De);const Dt={};m&2&&(Dt.$$scope={dirty:m,ctx:o}),ae.$set(Dt);const At={};m&2&&(At.$$scope={dirty:m,ctx:o}),ne.$set(At);const Nt={};m&2&&(Nt.$$scope={dirty:m,ctx:o}),ie.$set(Nt);const Ae={};m&2&&(Ae.$$scope={dirty:m,ctx:o}),ce.$set(Ae);const It={};m&2&&(It.$$scope={dirty:m,ctx:o}),le.$set(It)},i(o){oo||(k(c.$$.fragment,o),k(Y.$$.fragment,o),k(ve.$$.fragment,o),k(we.$$.fragment,o),k(ye.$$.fragment,o),k(ae.$$.fragment,o),k(Se.$$.fragment,o),k(xe.$$.fragment,o),k(Ee.$$.fragment,o),k(ne.$$.fragment,o),k(ie.$$.fragment,o),k(Ce.$$.fragment,o),k(Fe.$$.fragment,o),k(Oe.$$.fragment,o),k(ce.$$.fragment,o),k(le.$$.fragment,o),oo=!0)},o(o){S(c.$$.fragment,o),S(Y.$$.fragment,o),S(ve.$$.fragment,o),S(we.$$.fragment,o),S(ye.$$.fragment,o),S(ae.$$.fragment,o),S(Se.$$.fragment,o),S(xe.$$.fragment,o),S(Ee.$$.fragment,o),S(ne.$$.fragment,o),S(ie.$$.fragment,o),S(Ce.$$.fragment,o),S(Fe.$$.fragment,o),S(Oe.$$.fragment,o),S(ce.$$.fragment,o),S(le.$$.fragment,o),oo=!1},d(o){t(d),o&&t(v),o&&t(l),x(c),o&&t(Wt),x(Y,o),o&&t(Ut),o&&t(R),x(ve),o&&t(Gt),o&&t(Le),o&&t(Vt),o&&t(Be),o&&t(Jt),o&&t(C),o&&t(Kt),o&&t(oe),o&&t(Qt),o&&t(W),x(we),o&&t(Xt),o&&t(F),x(ye),x(ae),o&&t(Yt),o&&t(V),x(Se),o&&t(Zt),o&&t(j),x(xe),x(Ee),x(ne),x(ie),o&&t(eo),o&&t(K),x(Ce),o&&t(to),o&&t(M),x(Fe),x(Oe),x(ce),x(le)}}}const Hr={local:"time-series-transformer",sections:[{local:"overview",title:"Overview"},{local:"transformers.TimeSeriesTransformerConfig",title:"TimeSeriesTransformerConfig"},{local:"transformers.TimeSeriesTransformerModel",title:"TimeSeriesTransformerModel"},{local:"transformers.TimeSeriesTransformerForPrediction",title:"TimeSeriesTransformerForPrediction"}],title:"Time Series Transformer"};function Wr(z){return Or(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Xr extends Fr{constructor(d){super();jr(this,d,Wr,Rr,Mr,{})}}export{Xr as default,Hr as metadata};
